local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")


function onBegin()

  if getFlag("vazou5") then

    disableMovement()

    setFlag("comgirassol")
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_girassol"))

    setFlag("falou5", false)
    setFlag("vazou5", false)

  end

end

function onEnd(wasSkipped)
  if wasSkipped then
    setFlag("comgirassol")
    setFlag("falou5", false)
    setFlag("vazou5", false)
    enableMovement()
  end
end